# CommandPreProcessEvent (SubServers.Host)

net.ME1312.SubServers.Host.API.Event

## Class CommandPreProcessEvent

- java.lang.Object
- - net.ME1312.SubServers.Host.Library.Event.Event
  - - net.ME1312.SubServers.Host.API.Event.CommandPreProcessEvent

All Implemented Interfaces:
  Cancellable

    public class CommandPreProcessEvent
    extends Event
    implements Cancellable

Command Pre-Process Event Class

### Constructor Summary

Constructors
Constructor and Description
`CommandPreProcessEvent(SubServers host, java.lang.String command)` Command Pre-Process Event

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCommand()` Gets the full Command String
`boolean` `isCancelled()` Gets if the Event has been Cancelled
`void` `setCancelled(boolean value)` Sets if the Event is Cancelled

### Methods inherited from class net.ME1312.SubServers.Host.Library.Event.Event

`getAPI, getHandlers, getPlugin, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommandPreProcessEvent

    public CommandPreProcessEvent(SubServers host,
                                  java.lang.String command)

Command Pre-Process Event

Parameters:
  `host` - SubServers.Host
  `command` - Command

### Method Detail

#### getCommand

    public java.lang.String getCommand()

Gets the full Command String

Returns:
  Command

#### isCancelled

    public boolean isCancelled()

Description copied from interface: `Cancellable`
Gets if the Event has been Cancelled

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  Cancelled Status

#### setCancelled

    public void setCancelled(boolean value)

Description copied from interface: `Cancellable`
Sets if the Event is Cancelled

Specified by:
  `setCancelled` in interface `Cancellable`